function setWhiteNoise() {
    /* Считаем размер слоя - наложения, который появляется при раскрытом аккордеоне */

    var bodyWidth = $('#wrapped').width();
    var bodyHeight = $('#wrapped').height();

    $('#whiteNoise').width(bodyWidth);
    $('#whiteNoise').height(bodyHeight);
}

function closeActiveHeaderTopSection() {
    $($('.topNav li a.current').attr('href')).click();
    $('.topNav li .current').removeClass('current');
    $('#whiteNoise').stop(true, true).fadeOut();
}

function positSelectors() {
    if ($(window).height() > 815) {
        $('.selectorWrapper').css({marginTop: (($(window).height() - 815) / 2)});
    }
}

$(document).ready(function () {
    $(window).resize(function () {
        positSelectors();
    });
    positSelectors();
    setWhiteNoise();

    /////////////////////
    ///////HEADING///////
    /////////////////////

    /* header.top accordion menu */
    $(".accordion").accordion({
        heightStyle: "content",
        collapsible: true,
        active: false
    });
    $('.top').css({
        height: "auto",
        overflow: "auto"
    });

    /* hooks header.top click & delegate event to our container*/
    $('.topNav li a').click(function () {

        if ($(this).hasClass('current')) {
            closeActiveHeaderTopSection();
            //$(this).removeClass('current');
        } else {
            //$('.topNav li a').removeClass('current');
            if ($('.topNav li .current').text().length > 0) {
                $('.topNav li a.current').click();
                $('.topNav li a.current').removeClass('current');
            }
            $(this).addClass('current');
            $($(this).attr('href')).click();
            $('#whiteNoise').stop(true, true).fadeIn();
        }
    });

    $('header.top .closeButton, #whiteNoise').live("click",function () {
        closeActiveHeaderTopSection();
    });

    //закрытие вкладки со старой версией
    if ($('.yellow-line').html()) {
        $('#old-closer').click(function () {
            $('.yellow-line').animate({height: 0, border: 0, padding: 0, opacity: 0}, 200, function () {
                $(this).css({'display': 'none'});
            });//скрываем полосу
            $.post('/scripts?mode=hideOldBankLink', {oldbank: 'hide'});//посылаем запрос, чтоб больше не всплывало
            return false;
        });

        $('#holidays-closer').click(function () {
            $('.yellow-line').animate({height: 0, border: 0, padding: 0, opacity: 0}, 200, function () {
                $(this).css({'display': 'none'});
            });//скрываем полосу
            $.post('/scripts?mode=hideHolidays', {oldbank: 'hide'});//посылаем запрос, чтоб больше не всплывало
            return false;
        });
    }

    // аккордеон
    $("#article_accordion").accordion({
        collapsible: true,
        heightStyle: "content",
        active: false
    });

    $('.thisPageAnimateLink').click(function () {
        $($(this).attr('href')).stop(true, true).slideToggle();
        return false;
    });

    $('.cards_page .closeButton').click(function () {
        $(".rulesGetDiscount").slideToggle();
        return false;
    });

    $('.repaymentItem .readMore').click(function () {
        var p = $(this).parents('.repaymentItem');
        $('.repaymentItemReadMore', p).slideToggle();
        return false;
    });

    $('.repaymentItemReadMore  .closeButton').click(function () {
        $(this).parents('.repaymentItemReadMore').slideToggle();
    });

    $('.moreCities').click(function () {
        var clickedHref = $(this).attr('href');
        $(clickedHref).slideToggle();
        return false;
    });

    $('select[name=days]').sb();

    //////Изменение города

    $('#list-cit a').live("click", function () {
        $.post('/scripts?mode=setCity', {cityName: $(this).text()}, function (data) {
            if (data != '')
               location.reload();
               //location.href = '';
            return false;
        });
    });

    //тоггл для валюты
    $('.valutes a').bind({
        click: function () {
            $('.valutes a').css({'display': 'none'});
            $('.valutes div').css({'display': 'block'});
            return false;
        }
    });
    $('.valutes bdo').bind({
        click: function () {
            $('.valutes div').css({'display': 'none'});
            $('.valutes a').css({'display': 'block'});
            return false;
        }
    });


    //контроллер хедера
    $('.leftTopNav a, .rightTopNav a').click(function () {

        var id = $(this).attr('href');
        var idLen = id.length;
        var id = id.substr(-idLen, idLen - 1);
        if ($(id + ' div.wrapper990').length > 0){
            var element = $(id + ' div.wrapper990');
            var preloader = '<div class="preloader"></div><i class="closeButton"></i>';
            var close = '<i class="closeButton"></i>';
        }
        if ($(id + ' div.wrapper').length > 0){
            var element = $(id + ' div.wrapper');
            var preloader = '<div class="wrapper990"><div class="preloader"></div><i class="closeButton"></i></div>';
            var close = "";
        }
        var eId = id.substr(1);
        if ($(element).html() == '') {
            $(element).html(preloader);
            $.get('/scripts', {snippet: 'asyncHeader', mode: 'async' + eId}, function (data) {
                    $(element).html(data + close);

                    $(element).find('input:first-child').focus();
                    //дополнительные действия для загруженных элементов
                    $('.maskPhone').mask('+7 999 999 99 99', {
                        placeholder: " ",
                        clearIncomplete: false
                    });

                    $('.statusPhone.section input').each(function () { /* устанавливаем ширину инпута, если указан параметр size */
                        $(this).focus(function () {
                            $('label[for="' + $(this).attr('id') + '"]').addClass('focusMe');
                        });
                        $(this).blur(function () {
                            $('label[for="' + $(this).attr('id') + '"]').removeClass('focusMe');
                        });
                    });

                    $('.statusPhone input').focus();


                    if (eId == 'atm') {

                            enableTopMaps('atms');


                        $('#mapAtm').append('<div class="preloader"></div>')

                        $('.cuteCheckbox_check').iCheck({
                            checkboxClass: 'cuteCheckbox'
                        });

                        $('#atm .cuteCheckbox input').on('ifChanged', function (event) {
                            checkState();
                        });

                    }

                    if (eId == 'department') {
                        enableTopMaps('branches');


                        $('#mapOtdel').append('<div class="preloader"></div>')

                    }


                    if (eId == 'feedback') {

                        //Изменение времени звонка в зависимости от выбранного дня.
                        $('select[name=dateOfCall]').change(function () {
                            if ($(this).text().indexOf('сегодня') != -1 && $('option:eq(0)', this).attr('value') == $(this).val()) {
                                $('select[name=timeOfCall]').html('<option value="17:00">17:00</option><option value="18:00">18:00</option><option value="19:00">19:00</option><option value="20:00">20:00</option>').selectBox('destroy').selectBox();
                            }
                            else {
                                $('select[name=timeOfCall]').html('<option value="08:00">8:00</option><option value="09:00">9:00</option><option value="10:00">10:00</option><option value="11:00">11:00</option><option value="12:00">12:00</option><option value="13:00">13:00</option><option value="14:00">14:00</option><option value="15:00">15:00</option><option value="16:00">16:00</option><option value="17:00">17:00</option><option value="18:00">18:00</option><option value="19:00">19:00</option><option value="20:00">20:00</option>').selectBox('destroy').selectBox();
                            }
                        });
                        $('select[name=dateOfCall]').change();


                        $('.cuteRadio input').iCheck({
                            radioClass: 'iradio-cute'
                        });
                        $('.iSelect').selectBox();


                        $('#callOverSite').append("<div id='inlinewidgetbody'><script src='//widget.copiny.com/static/js/inlinewidget.js' type='text/javascript'</script></div>");

                        setTimeout(function () {

                            var copinyWidgetOptions = {
                                type: 'question',
                                community: 4490
                            };
                            initCopinyInlineWidget(copinyWidgetOptions);
                        }, 1000);

                        $('.callBackHideLink').click(function () {
                            $('#clicksCallback').click();
                            return false;
                        });
                    }

                }
            )
            ;
        }else {
            $(element).find('input:first-child').focus();
        }
    });
    
    //кастомизируем кнопки соцсетей http://api.yandex.ru/share/doc/dg/concepts/share-button-ov.xml
    if( $('.yashare-auto-init').length > 0 ){
        var likeInterval = setInterval(function(){
        
            if( $('.yashare-auto-init').html() ){
                clearInterval(likeInterval);

                var social_name = ["Facebook","Вконтакте","Twitter","Одноклассники","Google+"];
                
                $('.yashare-auto-init .b-share a').each(function(i,de){
                    $(de).text(social_name[i]);
                });
                $('.yashare-auto-init').css({'opacity':1});
            }
            
        },1000);
    }
});

$(window).resize(function () {
    setWhiteNoise();
})
